Package org.codehaus.groovy.transform.tailrec

# Class UsedVariableTracker

java.lang.Object
org.codehaus.groovy.transform.tailrec.UsedVariableTracker

All Implemented Interfaces:
  `VariableReplacedListener`

public class UsedVariableTracker extends Object implements VariableReplacedListener

- ## Field Summary

  ### Fields inherited from interface org.codehaus.groovy.transform.tailrec.VariableReplacedListener

  `NULL`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UsedVariableTracker()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set<String>`
  `getUsedVariableNames()`
  `void`
  `variableReplaced(VariableExpression oldVar, VariableExpression newVar)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UsedVariableTracker

    public UsedVariableTracker()

- ## Method Details

  - ### variableReplaced

    public void variableReplaced(VariableExpression oldVar, VariableExpression newVar)
    Specified by:
      `variableReplaced` in interface `VariableReplacedListener`

  - ### getUsedVariableNames

    public Set<String> getUsedVariableNames()